Subject: RE: [PATCH] advice: Add advice.scissors to suppress "do not modify or remove this line"

From: <[email-masked]>
Date: Tue, 16 Apr 2024 16:44:06 -0400

On Tuesday, April 16, 2024 4:36 PM, Junio C Hamano wrote:
>Josh Triplett <[email-masked]> writes:
>
>> On Sun, Feb 25, 2024 at 08:21:54PM -0800, Josh Triplett wrote:
>>> The scissors line before the diff in a verbose commit, or above all
>>> the comments when using --cleanup=scissors, has the following two
>>> lines of explanation after it:
>>>
>>> Do not modify or remove the line above.
>>> Everything below it will be ignored.
>>>
>>> This is useful advice for new users, but potentially redundant for
>>> experienced users, who might instead appreciate seeing two more lines
>>> of information in their editor.
>>>
>>> Add advice.scissors to suppress that explanation.
>>
>> Following up on this patch. Happy to rework if needed.
>
>I am not personally interested in the feature myself, and I doubt it would
help the
>end-user experience very much.  You'd need to find somebody else to cheer
for the
>topic ;-)

I am having a bit of trouble understanding the use-case for this. Is it
limited to linkgit? Under what circumstances would I need to use such
capabilities?
Thanks,
Randall